Skip to main content
GET
/
v1
/
aml
/
check
/
{address}
Check if an address is sanctioned
curl --request GET \
  --url https://api.xentfi.com/v1/aml/check/{address} \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": {
    "isSanctioned": false,
    "identifications": [
      {
        "category": "sanctions",
        "name": "North Korean Cyber Group",
        "description": "North Korean state-sponsored hacking group",
        "url": "https://sanctions.example.com/entity/123"
      }
    ],
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

address
string
required

Blockchain address to check (Ethereum, Bitcoin, etc.)

Response

Sanction check completed successfully

data
object